List sync plans
curl --request GET \
--url https://{workspace}.klef.ai/api/sync-plans \
--cookie klef.session=import requests
url = "https://{workspace}.klef.ai/api/sync-plans"
headers = {"cookie": "klef.session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'klef.session='}};
fetch('https://{workspace}.klef.ai/api/sync-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{workspace}.klef.ai/api/sync-plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "klef.session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{workspace}.klef.ai/api/sync-plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "klef.session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{workspace}.klef.ai/api/sync-plans")
.header("cookie", "klef.session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{workspace}.klef.ai/api/sync-plans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'klef.session='
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "<string>",
"number": 123,
"scope": "everything",
"approval": "person",
"origin": "manual",
"attempt": 123,
"retryOfSyncPlanId": "<string>",
"discardReason": "superseded",
"status": "generating",
"requestedByUserId": "<string>",
"requestedAt": "2023-11-07T05:31:56Z",
"generatedAt": "2023-11-07T05:31:56Z",
"approvedByUserId": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"failure": {
"code": "details_unavailable",
"params": {},
"causes": "<array>"
},
"supersededBySyncPlanId": "<string>",
"isStale": true,
"unreadConnections": 123,
"policies": [
{
"id": "<string>",
"name": "<string>",
"version": 123,
"revision": 123,
"status": "active"
}
],
"stats": {
"operations": 123,
"affected": 123,
"withdrawals": 123,
"blocked": 123,
"failed": 123,
"findings": 123,
"byKind": [
{
"kind": "create",
"count": 123
}
],
"systems": [
"<string>"
],
"notifications": [
{
"channel": "email",
"count": 123
}
]
},
"event": {
"source": "<string>",
"workers": [
"<string>"
]
}
}
],
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
],
"pagination": {
"nextCursor": 123,
"limit": 123,
"hasMore": true,
"total": 123
}
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}SyncPlans
List sync plans
GET
/
sync-plans
List sync plans
curl --request GET \
--url https://{workspace}.klef.ai/api/sync-plans \
--cookie klef.session=import requests
url = "https://{workspace}.klef.ai/api/sync-plans"
headers = {"cookie": "klef.session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'klef.session='}};
fetch('https://{workspace}.klef.ai/api/sync-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{workspace}.klef.ai/api/sync-plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "klef.session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{workspace}.klef.ai/api/sync-plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "klef.session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{workspace}.klef.ai/api/sync-plans")
.header("cookie", "klef.session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{workspace}.klef.ai/api/sync-plans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'klef.session='
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "<string>",
"number": 123,
"scope": "everything",
"approval": "person",
"origin": "manual",
"attempt": 123,
"retryOfSyncPlanId": "<string>",
"discardReason": "superseded",
"status": "generating",
"requestedByUserId": "<string>",
"requestedAt": "2023-11-07T05:31:56Z",
"generatedAt": "2023-11-07T05:31:56Z",
"approvedByUserId": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"failure": {
"code": "details_unavailable",
"params": {},
"causes": "<array>"
},
"supersededBySyncPlanId": "<string>",
"isStale": true,
"unreadConnections": 123,
"policies": [
{
"id": "<string>",
"name": "<string>",
"version": 123,
"revision": 123,
"status": "active"
}
],
"stats": {
"operations": 123,
"affected": 123,
"withdrawals": 123,
"blocked": 123,
"failed": 123,
"findings": 123,
"byKind": [
{
"kind": "create",
"count": 123
}
],
"systems": [
"<string>"
],
"notifications": [
{
"channel": "email",
"count": 123
}
]
},
"event": {
"source": "<string>",
"workers": [
"<string>"
]
}
}
],
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
],
"pagination": {
"nextCursor": 123,
"limit": 123,
"hasMore": true,
"total": 123
}
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}Authorizations
cookieAuthapiKeyAuth
Query Parameters
Was this page helpful?